<html>
<head>
<title>Ogre::MeshSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MeshSerializer.html">MeshSerializer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MeshSerializer Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MeshSerializer" --><!-- doxytag: inherits="Ogre::Serializer" -->
<p>Class for serialising mesh data to/from an OGRE .mesh file.  
 <a href="classOgre_1_1MeshSerializer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::MeshSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1MeshSerializer__inherit__graph.gif" border="0" usemap="#Ogre_1_1MeshSerializer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1MeshSerializer_inherit__map" id="Ogre_1_1MeshSerializer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Serializer.html" title="Generic class for serialising data to / from binary stream&#45;based files." alt="" coords="21,83,133,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="25,5,129,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1MeshSerializer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer_1_1MeshVersionData.html">MeshVersionData</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> { <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>, 
<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39a7f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a>, 
<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39a10ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The endianness of written files.  <a href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a909bfb50bcf347edbdf7564e0ecb92b5">MeshSerializer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a2e5c4987d4a0fa64430cb612e12c2e8c">~MeshSerializer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a4de99d7b747bb944b269df88c2b169db">exportMesh</a> (const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exports a mesh to the file specified, in the latest format.  <a href="#a4de99d7b747bb944b269df88c2b169db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a55ce1998a5ef0fa8354e6e9c63026d0a">exportMesh</a> (const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">MeshVersion</a> version, <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exports a mesh to the file specified, in a specific version format.  <a href="#a55ce1998a5ef0fa8354e6e9c63026d0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a5afe0f0c339dbac1efd590b1caf931ca">exportMesh</a> (const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh, <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> stream, <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exports a mesh to the stream specified, in the latest format.  <a href="#a5afe0f0c339dbac1efd590b1caf931ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a3d67f41bdd9450f3c952976f2f397855">exportMesh</a> (const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh, <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> stream, <a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">MeshVersion</a> version, <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exports a mesh to the stream specified, in a specific version format.  <a href="#a3d67f41bdd9450f3c952976f2f397855"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a7282f52dcfc65e65f32a0ca6af67e1c3">importMesh</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pDest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Imports <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> and (optionally) <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> data from a .mesh file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a>.  <a href="#a7282f52dcfc65e65f32a0ca6af67e1c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a8d70bd634174eb89a4578152d84f3f15">setListener</a> (<a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the listener for this serializer.  <a href="#a8d70bd634174eb89a4578152d84f3f15"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#aceaa15a69b65de9bc8df1c6d26ea5ec4">getListener</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current listener.  <a href="#aceaa15a69b65de9bc8df1c6d26ea5ec4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1MeshSerializer_1_1MeshVersionData.html">MeshVersionData</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a3f60fad91d6793e6c3a1fd4271e88e98">MeshVersionDataList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#afa565aa6d4619af064a12f470539e575">writeChunkHeader</a> (<a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> id, size_t size)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#aeab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a> (const float *const pfloat, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a> (const double *const pfloat, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#add3fca628a66fa8f58db9a98bfbee78e">writeShorts</a> (const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const pShort, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a8191e338697b554a8ccf4fc16fd4a47e">writeInts</a> (const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const pInt, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a4f7209961701f9c90c5e48f264394d48">writeBools</a> (const bool *const pLong, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#ac76c37d13ca53e5af9c146c546d0f401">writeObject</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a5ee71fde1e0d85bd15172b023474174e">writeString</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;string)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a> (const void *const buf, size_t size, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a5fcbfcf0fdacd57eed50bd4ec1d39248">readFileHeader</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a333f02260ebafef1648f5824a60e499d">readChunk</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a95ed554722facb385f7fa3b53622356b">readBools</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, bool *pDest, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a3d7fb441425335ae97b4a157179db336">readFloats</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, float *pDest, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#aec3cb2bc0bd8a31fc799323777881662">readFloats</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, double *pDest, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *pDest, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a8ac6fb727f1d63972b17269d473dfbe6">readInts</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *pDest, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a1bd2ca7c8454264f1bffe703bfe5935d">readObject</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pDest)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a13a9f1111633227f422fef070f6008f6">readObject</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;pDest)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a235a4bb6da1fe66326b1c05678ad878f">readString</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#aa8ed220a17c4edb0ed32f925fbe837f6">readString</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, size_t numChars)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a61ff1a3d78ef5d23cabe1322a438ea22">flipToLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a5beba950e3b4635070b3bb8eb41c408c">flipFromLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a405c917e6b188b6d6ead13678295232f">flipEndian</a> (void *pData, size_t size, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a89070a1dc03c189077deabce47120165">flipEndian</a> (void *pData, size_t size)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a93f9ec041b52aa6066fd0063733506b6">determineEndianness</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the endianness of the incoming stream compared to native.  <a href="#a93f9ec041b52aa6066fd0063733506b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a61f017bac1e2b407925576284bc7665b">determineEndianness</a> (<a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> requestedEndian)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the endianness to write with based on option.  <a href="#a61f017bac1e2b407925576284bc7665b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MeshSerializer.html#a3f60fad91d6793e6c3a1fd4271e88e98">MeshVersionDataList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#afb573394e4fc1f4038342d4fb77ee68c">mVersionData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#a8cdde7fa66408858eeadb72d98597414">mListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a9e1a15f67a59822b2a0fe3afceea0a9d">mStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#aa0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for serialising mesh data to/from an OGRE .mesh file. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class allows exporters to write OGRE .mesh files easily, and allows the OGRE engine to import .mesh files into instantiated OGRE Meshes. Note that a .mesh file can include not only the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>, but also definitions of any Materials it uses (although this is optional, the .mesh can rely on the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being loaded from another source, especially useful if you want to take advantage of OGRE's advanced <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> properties which may not be available in your modeller). </dd></dl>
<dl class="user"><dt><b></b></dt><dd>To export a <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>:<ol>
<li>
Use the <a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a> methods to create any dependent <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> objects, if you want to export them with the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </li>
<li>
Create a <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object and populate it using it's methods. </li>
<li>
Call the exportMesh method </li>
</ol>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd>It's important to realise that this exporter uses OGRE terminology. In this context, '<a class="el" href="classOgre_1_1Mesh.html">Mesh</a>' means a top-level mesh structure which can actually contain many SubMeshes, each of which has only one <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>. Modelling packages may refer to these differently, for example in Milkshape, it says 'Model' instead of '<a class="el" href="classOgre_1_1Mesh.html">Mesh</a>' and '<a class="el" href="classOgre_1_1Mesh.html">Mesh</a>' instead of '<a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>', but the theory is the same. </dd></dl>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00089">89</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a3f60fad91d6793e6c3a1fd4271e88e98"></a><!-- doxytag: member="Ogre::MeshSerializer::MeshVersionDataList" ref="a3f60fad91d6793e6c3a1fd4271e88e98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1MeshSerializer_1_1MeshVersionData.html">MeshVersionData</a>*&gt;::type <a class="el" href="classOgre_1_1MeshSerializer.html#a3f60fad91d6793e6c3a1fd4271e88e98">Ogre::MeshSerializer::MeshVersionDataList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00178">178</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a5122d5a3161fb5fd819d9a0521fe9d39"></a><!-- doxytag: member="Ogre::MeshSerializer::Endian" ref="a5122d5a3161fb5fd819d9a0521fe9d39" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Ogre::Serializer::Endian</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The endianness of written files. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef"></a><!-- doxytag: member="ENDIAN_NATIVE" ref="a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef" args="" -->ENDIAN_NATIVE</em>&nbsp;</td><td>
<p>Use the platform native endian. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a5122d5a3161fb5fd819d9a0521fe9d39a7f044c7683a7374276db6e7060f51240"></a><!-- doxytag: member="ENDIAN_BIG" ref="a5122d5a3161fb5fd819d9a0521fe9d39a7f044c7683a7374276db6e7060f51240" args="" -->ENDIAN_BIG</em>&nbsp;</td><td>
<p>Use big endian (0x1000 is serialised as 0x10 0x00) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a5122d5a3161fb5fd819d9a0521fe9d39a10ce3b8f55cba526f6bc8237d8b25cc3"></a><!-- doxytag: member="ENDIAN_LITTLE" ref="a5122d5a3161fb5fd819d9a0521fe9d39a10ce3b8f55cba526f6bc8237d8b25cc3" args="" -->ENDIAN_LITTLE</em>&nbsp;</td><td>
<p>Use little endian (0x1000 is serialised as 0x00 0x10) </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreSerializer_8h_source.html#l00056">56</a> of file <a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a909bfb50bcf347edbdf7564e0ecb92b5"></a><!-- doxytag: member="Ogre::MeshSerializer::MeshSerializer" ref="a909bfb50bcf347edbdf7564e0ecb92b5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshSerializer.html#a909bfb50bcf347edbdf7564e0ecb92b5">Ogre::MeshSerializer::MeshSerializer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e5c4987d4a0fa64430cb612e12c2e8c"></a><!-- doxytag: member="Ogre::MeshSerializer::~MeshSerializer" ref="a2e5c4987d4a0fa64430cb612e12c2e8c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MeshSerializer.html#a2e5c4987d4a0fa64430cb612e12c2e8c">Ogre::MeshSerializer::~MeshSerializer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a93f9ec041b52aa6066fd0063733506b6"></a><!-- doxytag: member="Ogre::MeshSerializer::determineEndianness" ref="a93f9ec041b52aa6066fd0063733506b6" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a93f9ec041b52aa6066fd0063733506b6">Ogre::Serializer::determineEndianness</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine the endianness of the incoming stream compared to native. </p>

</div>
</div>
<a class="anchor" id="a61f017bac1e2b407925576284bc7665b"></a><!-- doxytag: member="Ogre::MeshSerializer::determineEndianness" ref="a61f017bac1e2b407925576284bc7665b" args="(Endian requestedEndian)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a93f9ec041b52aa6066fd0063733506b6">Ogre::Serializer::determineEndianness</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&#160;</td>
          <td class="paramname"><em>requestedEndian</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine the endianness to write with based on option. </p>

</div>
</div>
<a class="anchor" id="a4de99d7b747bb944b269df88c2b169db"></a><!-- doxytag: member="Ogre::MeshSerializer::exportMesh" ref="a4de99d7b747bb944b269df88c2b169db" args="(const Mesh *pMesh, const String &amp;filename, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a4de99d7b747bb944b269df88c2b169db">Ogre::MeshSerializer::exportMesh</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>pMesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&#160;</td>
          <td class="paramname"><em>endianMode</em> = <code><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exports a mesh to the file specified, in the latest format. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object, and exports it to a .mesh file in the latest format version available. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pMesh</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> to export </td></tr>
    <tr><td class="paramname">filename</td><td>The destination filename </td></tr>
    <tr><td class="paramname">endianMode</td><td>The endian mode of the written file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55ce1998a5ef0fa8354e6e9c63026d0a"></a><!-- doxytag: member="Ogre::MeshSerializer::exportMesh" ref="a55ce1998a5ef0fa8354e6e9c63026d0a" args="(const Mesh *pMesh, const String &amp;filename, MeshVersion version, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a4de99d7b747bb944b269df88c2b169db">Ogre::MeshSerializer::exportMesh</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>pMesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">MeshVersion</a>&#160;</td>
          <td class="paramname"><em>version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&#160;</td>
          <td class="paramname"><em>endianMode</em> = <code><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exports a mesh to the file specified, in a specific version format. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object, and exports it to a .mesh file in the specified format version. Note that picking a format version other that the latest will cause some information to be lost. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pMesh</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> to export </td></tr>
    <tr><td class="paramname">filename</td><td>The destination filename </td></tr>
    <tr><td class="paramname">version</td><td><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> version to write </td></tr>
    <tr><td class="paramname">endianMode</td><td>The endian mode of the written file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5afe0f0c339dbac1efd590b1caf931ca"></a><!-- doxytag: member="Ogre::MeshSerializer::exportMesh" ref="a5afe0f0c339dbac1efd590b1caf931ca" args="(const Mesh *pMesh, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a4de99d7b747bb944b269df88c2b169db">Ogre::MeshSerializer::exportMesh</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>pMesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&#160;</td>
          <td class="paramname"><em>endianMode</em> = <code><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exports a mesh to the stream specified, in the latest format. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object, and exports it to a .mesh file in the latest format version. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pMesh</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> to export </td></tr>
    <tr><td class="paramname">stream</td><td>Writeable stream </td></tr>
    <tr><td class="paramname">endianMode</td><td>The endian mode of the written file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3d67f41bdd9450f3c952976f2f397855"></a><!-- doxytag: member="Ogre::MeshSerializer::exportMesh" ref="a3d67f41bdd9450f3c952976f2f397855" args="(const Mesh *pMesh, DataStreamPtr stream, MeshVersion version, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a4de99d7b747bb944b269df88c2b169db">Ogre::MeshSerializer::exportMesh</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>pMesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ac036050d60e78ed73d02e95fe79884a7">MeshVersion</a>&#160;</td>
          <td class="paramname"><em>version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&#160;</td>
          <td class="paramname"><em>endianMode</em> = <code><a class="el" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39aed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exports a mesh to the stream specified, in a specific version format. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object, and exports it to a .mesh file in the specified format version. Note that picking a format version other that the latest will cause some information to be lost. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pMesh</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> to export </td></tr>
    <tr><td class="paramname">stream</td><td>Writeable stream </td></tr>
    <tr><td class="paramname">version</td><td><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> version to write </td></tr>
    <tr><td class="paramname">endianMode</td><td>The endian mode of the written file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a405c917e6b188b6d6ead13678295232f"></a><!-- doxytag: member="Ogre::MeshSerializer::flipEndian" ref="a405c917e6b188b6d6ead13678295232f" args="(void *pData, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a405c917e6b188b6d6ead13678295232f">Ogre::Serializer::flipEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a89070a1dc03c189077deabce47120165"></a><!-- doxytag: member="Ogre::MeshSerializer::flipEndian" ref="a89070a1dc03c189077deabce47120165" args="(void *pData, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a405c917e6b188b6d6ead13678295232f">Ogre::Serializer::flipEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5beba950e3b4635070b3bb8eb41c408c"></a><!-- doxytag: member="Ogre::MeshSerializer::flipFromLittleEndian" ref="a5beba950e3b4635070b3bb8eb41c408c" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a5beba950e3b4635070b3bb8eb41c408c">Ogre::Serializer::flipFromLittleEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a61ff1a3d78ef5d23cabe1322a438ea22"></a><!-- doxytag: member="Ogre::MeshSerializer::flipToLittleEndian" ref="a61ff1a3d78ef5d23cabe1322a438ea22" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a61ff1a3d78ef5d23cabe1322a438ea22">Ogre::Serializer::flipToLittleEndian</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aceaa15a69b65de9bc8df1c6d26ea5ec4"></a><!-- doxytag: member="Ogre::MeshSerializer::getListener" ref="aceaa15a69b65de9bc8df1c6d26ea5ec4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a>* <a class="el" href="classOgre_1_1MeshSerializer.html#aceaa15a69b65de9bc8df1c6d26ea5ec4">Ogre::MeshSerializer::getListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the current listener. </p>

</div>
</div>
<a class="anchor" id="a7282f52dcfc65e65f32a0ca6af67e1c3"></a><!-- doxytag: member="Ogre::MeshSerializer::importMesh" ref="a7282f52dcfc65e65f32a0ca6af67e1c3" args="(DataStreamPtr &amp;stream, Mesh *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a7282f52dcfc65e65f32a0ca6af67e1c3">Ogre::MeshSerializer::importMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>pDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Imports <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> and (optionally) <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> data from a .mesh file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method imports data from a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> opened from a .mesh file and places it's contents into the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object which is passed in. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> holding the .mesh data. Must be initialised (pos at the start of the buffer). </td></tr>
    <tr><td class="paramname">pDest</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object which will receive the data. Should be blank already. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::MeshSerializer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::MeshSerializer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::MeshSerializer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::MeshSerializer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::MeshSerializer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::MeshSerializer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::MeshSerializer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::MeshSerializer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::MeshSerializer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::MeshSerializer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a95ed554722facb385f7fa3b53622356b"></a><!-- doxytag: member="Ogre::MeshSerializer::readBools" ref="a95ed554722facb385f7fa3b53622356b" args="(DataStreamPtr &amp;stream, bool *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a95ed554722facb385f7fa3b53622356b">Ogre::Serializer::readBools</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a333f02260ebafef1648f5824a60e499d"></a><!-- doxytag: member="Ogre::MeshSerializer::readChunk" ref="a333f02260ebafef1648f5824a60e499d" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short <a class="el" href="classOgre_1_1Serializer.html#a333f02260ebafef1648f5824a60e499d">Ogre::Serializer::readChunk</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5fcbfcf0fdacd57eed50bd4ec1d39248"></a><!-- doxytag: member="Ogre::MeshSerializer::readFileHeader" ref="a5fcbfcf0fdacd57eed50bd4ec1d39248" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a5fcbfcf0fdacd57eed50bd4ec1d39248">Ogre::Serializer::readFileHeader</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1SkeletonSerializer.html#afb082ece72c83e7d71a05e36cf2072f0">Ogre::SkeletonSerializer</a>.</p>

</div>
</div>
<a class="anchor" id="a3d7fb441425335ae97b4a157179db336"></a><!-- doxytag: member="Ogre::MeshSerializer::readFloats" ref="a3d7fb441425335ae97b4a157179db336" args="(DataStreamPtr &amp;stream, float *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a3d7fb441425335ae97b4a157179db336">Ogre::Serializer::readFloats</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aec3cb2bc0bd8a31fc799323777881662"></a><!-- doxytag: member="Ogre::MeshSerializer::readFloats" ref="aec3cb2bc0bd8a31fc799323777881662" args="(DataStreamPtr &amp;stream, double *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a3d7fb441425335ae97b4a157179db336">Ogre::Serializer::readFloats</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8ac6fb727f1d63972b17269d473dfbe6"></a><!-- doxytag: member="Ogre::MeshSerializer::readInts" ref="a8ac6fb727f1d63972b17269d473dfbe6" args="(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a8ac6fb727f1d63972b17269d473dfbe6">Ogre::Serializer::readInts</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&#160;</td>
          <td class="paramname"><em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1bd2ca7c8454264f1bffe703bfe5935d"></a><!-- doxytag: member="Ogre::MeshSerializer::readObject" ref="a1bd2ca7c8454264f1bffe703bfe5935d" args="(DataStreamPtr &amp;stream, Vector3 &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a1bd2ca7c8454264f1bffe703bfe5935d">Ogre::Serializer::readObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a13a9f1111633227f422fef070f6008f6"></a><!-- doxytag: member="Ogre::MeshSerializer::readObject" ref="a13a9f1111633227f422fef070f6008f6" args="(DataStreamPtr &amp;stream, Quaternion &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a1bd2ca7c8454264f1bffe703bfe5935d">Ogre::Serializer::readObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>pDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9c2e328bda8cc2e0ae7f202ad643f0d2"></a><!-- doxytag: member="Ogre::MeshSerializer::readShorts" ref="a9c2e328bda8cc2e0ae7f202ad643f0d2" args="(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a9c2e328bda8cc2e0ae7f202ad643f0d2">Ogre::Serializer::readShorts</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *&#160;</td>
          <td class="paramname"><em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a235a4bb6da1fe66326b1c05678ad878f"></a><!-- doxytag: member="Ogre::MeshSerializer::readString" ref="a235a4bb6da1fe66326b1c05678ad878f" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Serializer.html#a235a4bb6da1fe66326b1c05678ad878f">Ogre::Serializer::readString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa8ed220a17c4edb0ed32f925fbe837f6"></a><!-- doxytag: member="Ogre::MeshSerializer::readString" ref="aa8ed220a17c4edb0ed32f925fbe837f6" args="(DataStreamPtr &amp;stream, size_t numChars)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Serializer.html#a235a4bb6da1fe66326b1c05678ad878f">Ogre::Serializer::readString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numChars</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8d70bd634174eb89a4578152d84f3f15"></a><!-- doxytag: member="Ogre::MeshSerializer::setListener" ref="a8d70bd634174eb89a4578152d84f3f15" args="(MeshSerializerListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshSerializer.html#a8d70bd634174eb89a4578152d84f3f15">Ogre::MeshSerializer::setListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the listener for this serializer. </p>

</div>
</div>
<a class="anchor" id="a4f7209961701f9c90c5e48f264394d48"></a><!-- doxytag: member="Ogre::MeshSerializer::writeBools" ref="a4f7209961701f9c90c5e48f264394d48" args="(const bool *const pLong, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a4f7209961701f9c90c5e48f264394d48">Ogre::Serializer::writeBools</a> </td>
          <td>(</td>
          <td class="paramtype">const bool *const&#160;</td>
          <td class="paramname"><em>pLong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afa565aa6d4619af064a12f470539e575"></a><!-- doxytag: member="Ogre::MeshSerializer::writeChunkHeader" ref="afa565aa6d4619af064a12f470539e575" args="(uint16 id, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#afa565aa6d4619af064a12f470539e575">Ogre::Serializer::writeChunkHeader</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3eb5614dd7d87ce109d74f5bb6f07b0f"></a><!-- doxytag: member="Ogre::MeshSerializer::writeData" ref="a3eb5614dd7d87ce109d74f5bb6f07b0f" args="(const void *const buf, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a3eb5614dd7d87ce109d74f5bb6f07b0f">Ogre::Serializer::writeData</a> </td>
          <td>(</td>
          <td class="paramtype">const void *const&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7a25395a380ecdda85b1baeacf4a8a07"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFileHeader" ref="a7a25395a380ecdda85b1baeacf4a8a07" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Serializer.html#a7a25395a380ecdda85b1baeacf4a8a07">Ogre::Serializer::writeFileHeader</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeab7d76e6f420e1be6e6c60d9b12a6c6"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFloats" ref="aeab7d76e6f420e1be6e6c60d9b12a6c6" args="(const float *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#aeab7d76e6f420e1be6e6c60d9b12a6c6">Ogre::Serializer::writeFloats</a> </td>
          <td>(</td>
          <td class="paramtype">const float *const&#160;</td>
          <td class="paramname"><em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a063a40c4984f04d0ddf41096a5ffd9b5"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFloats" ref="a063a40c4984f04d0ddf41096a5ffd9b5" args="(const double *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#aeab7d76e6f420e1be6e6c60d9b12a6c6">Ogre::Serializer::writeFloats</a> </td>
          <td>(</td>
          <td class="paramtype">const double *const&#160;</td>
          <td class="paramname"><em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8191e338697b554a8ccf4fc16fd4a47e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeInts" ref="a8191e338697b554a8ccf4fc16fd4a47e" args="(const uint32 *const pInt, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a8191e338697b554a8ccf4fc16fd4a47e">Ogre::Serializer::writeInts</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const&#160;</td>
          <td class="paramname"><em>pInt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac76c37d13ca53e5af9c146c546d0f401"></a><!-- doxytag: member="Ogre::MeshSerializer::writeObject" ref="ac76c37d13ca53e5af9c146c546d0f401" args="(const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#ac76c37d13ca53e5af9c146c546d0f401">Ogre::Serializer::writeObject</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3152bb5fb33d99dff568b6d03d6c25e0"></a><!-- doxytag: member="Ogre::MeshSerializer::writeObject" ref="a3152bb5fb33d99dff568b6d03d6c25e0" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#ac76c37d13ca53e5af9c146c546d0f401">Ogre::Serializer::writeObject</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="add3fca628a66fa8f58db9a98bfbee78e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeShorts" ref="add3fca628a66fa8f58db9a98bfbee78e" args="(const uint16 *const pShort, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#add3fca628a66fa8f58db9a98bfbee78e">Ogre::Serializer::writeShorts</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const&#160;</td>
          <td class="paramname"><em>pShort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5ee71fde1e0d85bd15172b023474174e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeString" ref="a5ee71fde1e0d85bd15172b023474174e" args="(const String &amp;string)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Serializer.html#a5ee71fde1e0d85bd15172b023474174e">Ogre::Serializer::writeString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>string</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6331ceec847b83fed77165c9522eaa4f"></a><!-- doxytag: member="Ogre::MeshSerializer::mCurrentstreamLen" ref="a6331ceec847b83fed77165c9522eaa4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Serializer.html#a6331ceec847b83fed77165c9522eaa4f">Ogre::Serializer::mCurrentstreamLen</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSerializer_8h_source.html#l00069">69</a> of file <a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa0773a2ca956fa2864ac50f57d0aa9a2"></a><!-- doxytag: member="Ogre::MeshSerializer::mFlipEndian" ref="aa0773a2ca956fa2864ac50f57d0aa9a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Serializer.html#aa0773a2ca956fa2864ac50f57d0aa9a2">Ogre::Serializer::mFlipEndian</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSerializer_8h_source.html#l00072">72</a> of file <a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8cdde7fa66408858eeadb72d98597414"></a><!-- doxytag: member="Ogre::MeshSerializer::mListener" ref="a8cdde7fa66408858eeadb72d98597414" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a>* <a class="el" href="classOgre_1_1MeshSerializer.html#a8cdde7fa66408858eeadb72d98597414">Ogre::MeshSerializer::mListener</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00181">181</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e1a15f67a59822b2a0fe3afceea0a9d"></a><!-- doxytag: member="Ogre::MeshSerializer::mStream" ref="a9e1a15f67a59822b2a0fe3afceea0a9d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1Serializer.html#a9e1a15f67a59822b2a0fe3afceea0a9d">Ogre::Serializer::mStream</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSerializer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a45b8d6fa3d3c64b3ab3dfe3a5084e3b4"></a><!-- doxytag: member="Ogre::MeshSerializer::mVersion" ref="a45b8d6fa3d3c64b3ab3dfe3a5084e3b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Serializer.html#a45b8d6fa3d3c64b3ab3dfe3a5084e3b4">Ogre::Serializer::mVersion</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSerializer_8h_source.html#l00071">71</a> of file <a class="el" href="OgreSerializer_8h_source.html">OgreSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb573394e4fc1f4038342d4fb77ee68c"></a><!-- doxytag: member="Ogre::MeshSerializer::mVersionData" ref="afb573394e4fc1f4038342d4fb77ee68c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshSerializer.html#a3f60fad91d6793e6c3a1fd4271e88e98">MeshVersionDataList</a> <a class="el" href="classOgre_1_1MeshSerializer.html#afb573394e4fc1f4038342d4fb77ee68c">Ogre::MeshSerializer::mVersionData</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00179">179</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
